Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.plugins.binaries.model
[Java] Interface NativeDependencyCapableSourceSet

    org.gradle.plugins.binaries.model.NativeDependencyCapableSourceSet
      org.gradle.api.tasks.SourceSet

All Superinterfaces:
  SourceSet

    public interface NativeDependencyCapableSourceSet
    extends SourceSet

Source set capability

Field Summary

Fields inherited from interface SourceSet
MAIN_SOURCE_SET_NAME, TEST_SOURCE_SET_NAME

Method Summary
`DomainObjectSet` | `getNativeDependencySets()`

Methods inherited from interface SourceSet
compiledBy, getAllJava, getAllSource, getClassesTaskName, getCompileClasspath, getCompileConfigurationName, getCompileJavaTaskName, getCompileTaskName, getJava, getName, getOutput, getProcessResourcesTaskName, getResources, getRuntimeClasspath, getRuntimeConfigurationName, getTaskName, java, resources, setCompileClasspath, setRuntimeClasspath

Method Detail

### getNativeDependencySets

    public DomainObjectSet getNativeDependencySets()

Gradle API 1.1-rc-1